<?php

namespace App\Http\Controllers\V1\Rep\Auth;

use App\Http\Controllers\V1\Rep\Auth\LoginController;
use App\Http\Controllers\V1\BasicApiController;
use App\Http\Resources\V1\UsersResource;

class UserController extends BasicApiController
{
    public function refresh(): \Illuminate\Http\JsonResponse
    {
        return $this->sendResponse(trans('auth.refresh token'), LoginController::createToken());
    }

    public function profile(): \Illuminate\Http\JsonResponse
    {
        authUser()->load('shop', 'salePoint');
        return $this->sendResponse('', ['data' => new UsersResource(authUser())]);
    }

    public function logout(): \Illuminate\Http\JsonResponse
    {
        LoginController::deleteOldTokens();
        return $this->sendResponse(trans('auth.logout'));
    }
}
