<?php

namespace App\Http\Controllers\V3;

class GeneralApiController extends BasicApiController
{
    /*
     * @param \Illuminate\Database\Eloquent\Model $model
     * @param \Illuminate\Http\Resources\Json\JsonResource $resource
     */
    public function __construct(protected string $model, protected string $resource)
    {
        parent::__construct();
    }

    public function query(?int $id = null): \Illuminate\Database\Eloquent\Builder
    {
        return $this->model::query()->when($id, fn($q) => $q->where('id', $id));
    }

    public function index(): \Illuminate\Http\JsonResponse
    {
        $rows = $this->query()->get();
        return $this->returnData($this->resource::collection($rows));
    }

    public function show($id): \Illuminate\Http\JsonResponse
    {
        $row = $this->query($id)->first();
        return $row
                ? $this->sendResponse(result: ['data' => new $this->resource($row)])
                : $this->sendError('This data not found');
    }

    public function destroy($id): \Illuminate\Http\JsonResponse
    {
        return $this->query($id)->delete() > 0
            ? $this->sendResponse('Row deleted successfully')
            : $this->sendError('This data not found');
    }
}
