<?php

namespace App\Http\Controllers\V3\Rep;

use App\Http\Controllers\V3\BasicApiController;
use App\Http\Requests\V3\NewRequestRequest;
use App\Http\Services\V3\NewRequestService;
use App\Models\NewRequest;

class NewRequestController extends BasicApiController
{
    public function store(NewRequestRequest $request, NewRequestService $service)
    {
        $response = $service->handler($request->all(), NewRequest::PURCHASES);
        if ($response['status'] == 200) return $this->sendResponse(result: ['data' => $response['data']]);
        return $this->sendError($response['message']);
    }
}
