<?php

namespace App\Http\Requests\V4;

use App\Traits\HandleValidationError;
use Illuminate\Foundation\Http\FormRequest;

class VisitCaseRequest extends FormRequest
{
    use HandleValidationError;

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'data'              => 'required|array',
            'data.*'            => 'required|array|size:4',
            'data.*.client_id'  => 'required|exists:clients,id,shop_id,'.shopId(),
            'data.*.reason_id'  => 'required|exists:visiting_cases,id,shop_id,'.shopId(),
            'data.*.visie_date' => 'required|date',
            'data.*.notes'      => 'nullable|string',
        ];
    }
}
