<?php

namespace App\Http\Resources\V1;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\DB;

class UsersResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            "id" => $this->id,
            "api_token" => $this->token ?? '',
            "name" => $this->name,
            "user_name" => $this->user_name,
            "shop_id" => $this->shop_id,
            "shop_name" => $this->shop->shop_name ?? '',
            "show_clients" => (bool) $this->show_clients,
            "price_decimal" => $this->shop->decimal_num_price,
            "generate_qr" => $this->shop->generate_qr,
            "quantity_decimal" => $this->shop->decimal_num_quant,
            "subscription_end_date" => $this->run_date,
            "sale_point_id" => $this->sale_point,
            "sale_minus" => $this->shop->sale_details,
            "currency" => $this->shop->currency,
            "show_pay_price" => $this->show_pay_price,
            "can_edit_client_days" => $this->can_edit_client_days,
            "store_name" => $this->salePoint->store->name,
            "player_id" => $this->player_id,
            'allow_lines' => $this->shop->allow_lines,
            'edit_sale_price' => $this->sale_price,
            'spending' => $this->spending,
            'add_spend' => $this->add_spend,
            'vat_number'      => DB::table('bill_setting')->select('vat_number')->where('shop_id', shopId())->first()->vat_number ?? null,
        ];
    }
}
