<?php

namespace App\Http\Resources\V3;

use Illuminate\Http\Resources\Json\JsonResource;

class ItemPricesResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id'         => $this->id,
            'item'       => $this->item->name,
            'item_id'    => $this->item->id,
            'list'       => $this->list->name,
            'list_id'    => $this->list->id,
            'price'      => (string) number_format($this->price, 2),
            'list_quant' => (string) str_replace(',', '', number_format($this->list_quant, 2)),
            'shop_id'    => shopId(),
        ];
    }
}
