<?php

namespace App\Http\Services\V4;

use App\Models\NegativeVisit;
use Exception;
use Illuminate\Support\Facades\Log;

class NegativeVisitService
{
    public static function create(array $data)
    {
        try {
            $branch_id = 1;
            $array = $error_items = [];
            foreach($data as $row) {
                try{
                    $array [] = [
                        "user_id"    => authId(),
                        "shop_id"    => shopId(),
                        "client_id"  => $row['client_id'],
                        "visie_date" => $row['visie_date'],
                        "reason_id"  => $row['reason_id'],
                        "notes"      => $row['notes'],
                        'branch_id'  => $branch_id,
                        'created_at' => now(),
                        'updated_at' => now(),
                    ];
                } catch(Exception $e) {
                    Log::info("NegativeVisitService Error : " . json_encode($e));
                    Log::info("Error Row : " . json_encode($row));
                    $error_items[] = $row;
                }
            }

            NegativeVisit::insert($array);
            return ['status' => true, 'errors' => $error_items];
        } catch(Exception $e) {
            dd($e);
            return ['status' => false];
        }
    }
}
