<?php

namespace App\Models;

use App\Traits\FilterPerShop;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Model;

class Badrshop extends Model
{
    use FilterPerShop;

    protected $table = 'badr_shop';
    protected $primaryKey = 'serial_id';

    public function checkIsActive(): bool
    {
        if (! $this->online) return true;
        if (Carbon::parse($this->run_date) > today()) return true;
        return false;
    }

    protected function logoPath(): Attribute
    {
        return Attribute::make(
            get: fn ($value) => config('app.img_url').$value,
        );
    }

    protected function billAdds(): Attribute
    {
        return Attribute::make(
            get: fn ($value) => (int) !$value,
        );
    }
}
