<?php

namespace App\Models;

use App\Traits\FilterPerShop;
use Illuminate\Database\Eloquent\Model;

class Client extends Model
{
    use FilterPerShop;

    protected $table = 'clients';
    protected $guarded = ['id'];
    public $timestamps = false;

    protected static function boot()
    {
        parent::boot();

        static::creating(function ($model) {
            $model->city_id       = 0;
            $model->StorePass     = 'empty';
            $model->shop_id       = shopId();
            $model->add_user      = authId();
            $model->edit_user     = authId();
            $model->price_list_id = authId();
            $model->add_date      = now();
            $model->group_id      = authUser()->groups()->value('group_id');
            $model->api_token     = ' ';
            $model->addition_data = $model->addition_data ?? ' ';
            $model->credit_limit  = $model->credit_limit ?? 0;
            $model->date_zero     = $model->date_zero ?? now();
            $model->info1         = $model->info1 ?? '';
            $model->info2         = $model->info2 ?? '';
            $model->info3         = $model->info3 ?? '';
            $model->info4         = $model->info4 ?? '';
            $model->info5         = $model->info5 ?? '';
            $model->code          = self::query()->max('code') + 1;
        });
    }
}
