<?php

namespace App\Models;

use App\Models\Scopes\HasShopScope;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Location extends Model
{
    protected  $table = 'user_location';
    protected $guarded = ['id'];
    public $timestamps = false;

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id', 'id')->select('id', 'user_name as name')->withDefault(['id' => '', 'name' => '']);
    }

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('perUser', function (Builder $builder) { $builder->where('user_id', authId()); });
        static::addGlobalScope(new HasShopScope);

        static::creating(function ($model) {
            $model->shop_id = shopId();
            $model->user_id = authId();
        });
    }
}
