<?php

namespace App\Models;

use App\Models\Scopes\HasShopScope;
use Illuminate\Database\Eloquent\Model;

class Log extends Model
{
	protected $table = 'log_system';
	public $timestamps = false;
	protected $guarded = ['id'];

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope(new HasShopScope);

        static::creating(function ($model) {
            $model->shop_id    = shopId();
            $model->user_id    = authId();
            $model->date_event = now();
        });
    }
}
