<?php

namespace App\Models;

use App\Models\Scopes\HasShopScope;
use Illuminate\Database\Eloquent\Model;

class NewRequest extends Model
{
    protected $table = 'requests';

    protected $fillable = ['shop_id', 'user_id', 'store_id', 'client_id', 'total', 'no_bill', 'order_no', 'net', 'type', 'rest', 'notes', 'invoice_date'];

    const PURCHASES = 0;

    const SALES = 1;

    const BACK_PURCHASES = 2;

    const BACK_SALES = 3;

    public static function getMax()
    {
        return self::query()->max('order_no') + 1;
    }

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope(new HasShopScope);

        static::creating(function ($model) {
            $model->shop_id  = shopId();
            $model->user_id  = authId();
            $model->order_no = self::getMax();
            $model->type     = 1;
            $model->rest     = 0;
        });
    }
}
