<?php

namespace App\Models\Scopes;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Scope;

class HasShopScope implements Scope
{
    /**
     * Apply the scope to a given Eloquent query builder.
     *
     * @param  \Illuminate\Database\Eloquent\Builder  $builder
     * @param  \Illuminate\Database\Eloquent\Model  $model
     * @return void
     */
    public function apply(Builder $builder, Model $model)
    {
        $column = $model->getTable() == 'badr_shop' ? 'serial_id' : 'shop_id';
        $builder->where("{$model->getTable()}.{$column}", shopId())
                ->orderBy("{$model->getTable()}.{$model->getKeyName()}", 'desc');
    }
}
